/**
 * @file          modules/sfdx-falcon-util/zip.ts
 * @copyright     Vivek M. Chawla - 2019
 * @author        Vivek M. Chawla <@VivekMChawla>
 * @summary       Libray of Zip (archive) related helper functions.
 * @description   Libray of Zip (archive) related helper functions.
 * @version       1.0.0
 * @license       MIT
 */
/**
 * @function    extract
 * @param       {string}  zipFile Required. Zip file to be extracted.
 * @param       {string}  zipExtractTarget  Required. Target directory for the extraction.
 * @returns     {Promise<void>}
 * @description Given the path to a Zip File and a target, extracts files from a zip file and places
 *              the extracted files in the target location.
 * @public @async
 */
export declare function extract(zipFile: string, zipExtractTarget: string): Promise<void>;
